{% extends "base.html" %}
{% import 'bootstrap/wtf.html' as wtf %}
{% from 'macros.html' import form_field %}

<!-- TODO:抽象出模板 -->

{% block app_content %}
<div class="form-row">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <form method="post" enctype="multipart/form-data">
                    {{ form.csrf_token() }}
                    <div class="form-group form-inline col-auto justify-content-center">
                        {{ form.compiler.label(class = 'mx-1') }}
                        {{ form.compiler(class = 'form-control') }}
                    </div>
                    <div class="form-group">
                        {{form.code.label}}
                        {{form.code}}
                    </div>
                    <div class="form-group">
                        {{ form_field(form.uploadfile) }}
                    </div>
                    <div class="form-group">
                        {{form.submit}}
                    </div>
                </form>

            </div>
        </div>
    </div>
</div>




{% endblock %}